| Resource | Description |
|---|---|
| Promotions | Contains all the information related to promotion commercial operations |
| CommercialTransactions | Contains all the information related to any commercial transaction operations |
| Contracts | Contract documents associated with commercial transaction |
| Resource | Description |
|---|---|
| Promotions | Contains all the information related to promotion commercial operations |
| CommercialTransactions | Contains all the information related to any commercial transaction operations |
| Contracts | Contract documents associated with commercial transaction |
Validates/Performs promotions sale.
PATH PARAMETERS
Organization name
Subscription unique identifier
{
"execution_mode": "VALIDATION",
"validation_id": "123e4567-e89b-12d3-a456-426614174000",
"requested_promotions": [
{
"catalogue_promotion_id": "123",
"activation_date": "2022-12-01"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
execution_mode* | string
()
EXECUTIONVALIDATION | Defines whether the operation is simulated or actually performed | |||||||||||||||||
validation_id | string (uuid) | Identifier of the previously performed sale validation. Required only when execution mode is set to `EXECUTION`. This identifier expires after a limited time window, after which the sale must be validated again. | |||||||||||||||||
requested_promotions* | object[] | List of promotions to be applied | |||||||||||||||||
Array items:
| |||||||||||||||||||
OK Promotions response
{
"validation_id": "123e4567-e89b-12d3-a456-426614174000",
"has_incompatibilities": true,
"subscriptions": [
{
"subscription_id": "123e4567-e89b-12d3-a456-426614174000",
"incompatible_promotions": "string",
"created_promotions": "string"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
validation_id* | string (uuid) | Identifier of the previously performed sale validation. Required only when execution mode is set to `EXECUTION`. This identifier expires after a limited time window, after which the sale must be validated again. | ||||||||||||||||||||||
has_incompatibilities* | boolean | Indicates if there are any incompatibilities with the requested promotions | ||||||||||||||||||||||
subscriptions* | object[] | List of subscriptions affected by the sale | ||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||
Bad Request Bad request
{
"code": "INVALID_REQUEST",
"message": "The request is invalid",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Forbidden Forbidden access
{
"code": "FORBIDDEN_ORGANIZATION",
"message": "Access to organization not allowed",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Internal Server Error Internal server error
{
"code": "DATABASE_ACCESS_ERROR",
"message": "Internal server error",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Any client or server error
{
"code": "ERROR_CODE",
"message": "Error message",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
curl -X POST 'https://subscriptions.masstack.com/v3/orgs/yoigo/sales/subscriptions/ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39/promotions' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"execution_mode": "VALIDATION",
"validation_id": "123e4567-e89b-12d3-a456-426614174000",
"requested_promotions": [
{
"catalogue_promotion_id": "123",
"activation_date": "2022-12-01"
}
]
}' Validates/performs the sale of promotions for all applicable subscriptions in a given bundle according to the catalogue definition.
PATH PARAMETERS
Organization name
Bundle unique identifier
{
"execution_mode": "VALIDATION",
"validation_id": "123e4567-e89b-12d3-a456-426614174000",
"requested_promotions": [
{
"catalogue_promotion_id": "123",
"activation_date": "2022-12-01"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
execution_mode* | string
()
EXECUTIONVALIDATION | Defines whether the operation is simulated or actually performed | |||||||||||||||||
validation_id | string (uuid) | Identifier of the previously performed sale validation. Required only when execution mode is set to `EXECUTION`. This identifier expires after a limited time window, after which the sale must be validated again. | |||||||||||||||||
requested_promotions* | object[] | List of promotions to be applied | |||||||||||||||||
Array items:
| |||||||||||||||||||
OK Promotions response
{
"validation_id": "123e4567-e89b-12d3-a456-426614174000",
"has_incompatibilities": true,
"subscriptions": [
{
"subscription_id": "123e4567-e89b-12d3-a456-426614174000",
"incompatible_promotions": "string",
"created_promotions": "string"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
validation_id* | string (uuid) | Identifier of the previously performed sale validation. Required only when execution mode is set to `EXECUTION`. This identifier expires after a limited time window, after which the sale must be validated again. | ||||||||||||||||||||||
has_incompatibilities* | boolean | Indicates if there are any incompatibilities with the requested promotions | ||||||||||||||||||||||
subscriptions* | object[] | List of subscriptions affected by the sale | ||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||
Bad Request Bad request
{
"code": "INVALID_REQUEST",
"message": "The request is invalid",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Forbidden Forbidden access
{
"code": "FORBIDDEN_ORGANIZATION",
"message": "Access to organization not allowed",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Internal Server Error Internal server error
{
"code": "DATABASE_ACCESS_ERROR",
"message": "Internal server error",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Any client or server error
{
"code": "ERROR_CODE",
"message": "Error message",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
curl -X POST 'https://subscriptions.masstack.com/v3/orgs/yoigo/sales/bundles/ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39/subscriptions/promotions' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"execution_mode": "VALIDATION",
"validation_id": "123e4567-e89b-12d3-a456-426614174000",
"requested_promotions": [
{
"catalogue_promotion_id": "123",
"activation_date": "2022-12-01"
}
]
}' Terminates a promotion from a subscription.
PATH PARAMETERS
Organization name
Subscription unique identifier
Promotion unique identifier
{
"termination_date": "2022-12-01",
"reason": "SUBSCRIPTION_DEACTIVATION"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
termination_date | string (date) | Date and time when the termination should take place. Format according to ISO 8601 | ||
reason* | string
()
AUTOMATICALLY_REMOVEDMANUALLY_REMOVEDOTHERPROMOTION_INCOMPATIBILITYSUBSCRIPTION_DEACTIVATION | Reason for the termination |
Accepted Termination process started
Bad Request Bad request
{
"code": "INVALID_REQUEST",
"message": "The request is invalid",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Forbidden Forbidden access
{
"code": "FORBIDDEN_ORGANIZATION",
"message": "Access to organization not allowed",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Internal Server Error Internal server error
{
"code": "DATABASE_ACCESS_ERROR",
"message": "Internal server error",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Any client or server error
{
"code": "ERROR_CODE",
"message": "Error message",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
curl -X POST 'https://subscriptions.masstack.com/v3/orgs/yoigo/sales/subscriptions/ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39/promotions/ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39/terminate' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"termination_date": "2022-12-01",
"reason": "SUBSCRIPTION_DEACTIVATION"
}' Terminate all subscriptions promotions that match the catalogue id, found in the given bundle when they apply according to catalogue definition.
PATH PARAMETERS
Organization name
Bundle unique identifier
{
"termination_date": "2022-12-01",
"reason": "SUBSCRIPTION_DEACTIVATION",
"catalogue_promotion_id": "123"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
termination_date | string (date) | Date and time when the termination should take place. Format according to ISO 8601 | ||
reason* | string
()
AUTOMATICALLY_REMOVEDMANUALLY_REMOVEDOTHERPROMOTION_INCOMPATIBILITYSUBSCRIPTION_DEACTIVATION | Reason for the termination | ||
catalogue_promotion_id* | string | Catalogue promotion ID to be terminated in all applicable subscriptions within the bundle |
Accepted Termination process started
Bad Request Bad request
{
"code": "INVALID_REQUEST",
"message": "The request is invalid",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Forbidden Forbidden access
{
"code": "FORBIDDEN_ORGANIZATION",
"message": "Access to organization not allowed",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Internal Server Error Internal server error
{
"code": "DATABASE_ACCESS_ERROR",
"message": "Internal server error",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Any client or server error
{
"code": "ERROR_CODE",
"message": "Error message",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
curl -X POST 'https://subscriptions.masstack.com/v3/orgs/yoigo/sales/bundles/ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39/promotions/terminate' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"termination_date": "2022-12-01",
"reason": "SUBSCRIPTION_DEACTIVATION",
"catalogue_promotion_id": "123"
}' Returns a list of commercial transactions filtering by provided query params
PATH PARAMETERS
Organization name
QUERY PARAMETERS
Account id linked to the commercial transaction
OK List of commercial transactions matching the criteria
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"legacy_id": "242940268",
"customers_account_id": "ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39",
"status": "COMPLETED",
"type": "BUNDLE_SALE",
"dealers_dealer_id": "1234",
"creation_date": "2024-01-15T10:30:00Z",
"creation_user": "john.doe@example.com",
"creation_system": "SALES_API",
"last_updated_date": "2024-01-15T10:35:00Z",
"contract_id": "ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39",
"legacy_fraud_request_id": "FRD_18395",
"legacy_work_order_id": "WO_2024_5678",
"status_detail": "FRAUD_CHECK_REJECTION"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id* | string (uuid) | Commercial transaction unique identifier | ||
legacy_id | string | Legacy identifier for backward compatibility | ||
customers_account_id* | string | Account unique identifier | ||
status* | string
()
IN_PROGRESSCOMPLETEDCANCELLED | Current status of the commercial transaction | ||
type* | string
()
BUNDLE_SALEBUNDLE_MIGRATIONBUNDLE_MODIFICATIONADDRESS_CHANGETECHNOLOGY_CHANGE | Type of commercial transaction | ||
dealers_dealer_id* | string | Unique identifier of the dealer according to dealers system. | ||
creation_date* | string (date-time) | Date and time when the transaction was created. Format according to ISO 8601 | ||
creation_user* | string | User who created the transaction | ||
creation_system* | string | System that created the transaction | ||
last_updated_date* | string (date-time) | Date and time of the last update. Format according to ISO 8601 | ||
contract_id | string (uuid) | Contract document identifier | ||
legacy_fraud_request_id | string | Legacy fraud request identifier according to MySim | ||
legacy_work_order_id | string | Legacy work order identifier according to MySim | ||
status_detail | string | Additional detail about the commercial transaction status |
Bad Request Bad request
{
"code": "INVALID_REQUEST",
"message": "The request is invalid",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Forbidden Forbidden access
{
"code": "FORBIDDEN_ORGANIZATION",
"message": "Access to organization not allowed",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Internal Server Error Internal server error
{
"code": "DATABASE_ACCESS_ERROR",
"message": "Internal server error",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Any client or server error
{
"code": "ERROR_CODE",
"message": "Error message",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
curl -X GET 'https://subscriptions.masstack.com/v3/orgs/yoigo/sales/commercial_transactions?customers_account_id=ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39' \
-H 'Accept: application/json' Creates the new bundle and starts the sale process according to the provided information and validating against the catalogue definitions.
PATH PARAMETERS
Organization name
{
"type": "NEW_SALE",
"catalogue_bundled_product_id": 8432,
"customers_account_id": "ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39",
"dealers_dealer_id": "1234",
"risk_evaluation_data": {
"pre_scoring_id": 18395,
"score_value": 71,
"upfront": 0
},
"financial_evaluation_data": {
"credit_limit": 1000,
"credit_limit_available": 1000
},
"signature_process_id": 18395,
"legacy_sell_id": 242940268,
"payment_data": {
"total_amount": 149,
"tax_amount": 10,
"first_invoice_payment": 5,
"point_of_sale_payment": 33,
"platform": "ADYEN",
"transaction_id": "PLC6640C65E45847BC",
"link": "https://test.adyen.link/PLC6640C65E45847BC",
"external_reference": "2311BDXI1880"
},
"subscriptions": {
"mobile": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"msisdn": 34611223344,
"mobile_portability_info": {
"donor_operator_id": null,
"donor_data": null,
"portability_process_initial_date": null,
"internal_portability": null,
"donor_iccid": null,
"donor_billing_type": null,
"one_time_password_id": null
},
"sim": {
"type": null,
"iccid": null
}
}
],
"broadband": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"access_id": "IUA-XXX",
"vacant_loop": true,
"territory_owner": "FIBMM01",
"access_reuse_info_allowed": true,
"legacy_service_id": "MYSIM_2331123",
"installation_address": {
"street_type": null,
"street_name": null,
"house_number": null,
"additional_info": null,
"city": null,
"province": null,
"country": null,
"postal_code": null,
"address_code": null,
"address_additional_id": null
}
}
],
"landline": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"fixed_phone_number": "913312244",
"installation_address": {
"street_type": null,
"street_name": null,
"house_number": null,
"additional_info": null,
"city": null,
"province": null,
"country": null,
"postal_code": null,
"address_code": null,
"address_additional_id": null
},
"contact_info": {
"name": null,
"surname": null,
"identity_document": null,
"phone_number": null,
"email_address": null
},
"fixed_portability_info": {
"donor_operator_id": null,
"scheduled_portability_date": null,
"internal_portability": null,
"installation_required": null,
"donor_data": null
}
}
],
"tv": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"specific_data": {
"service_id": null,
"registration_email": null,
"technical_installation_required": null,
"contact_number": null,
"identity_document": null
}
}
],
"amazon_prime": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
],
"agile_tv": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
],
"netflix": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
],
"max": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
],
"orange_tv": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"registration_email": "john.doe@mail.com"
}
],
"disney": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
]
},
"contract_delivery_channel": "EMAIL",
"legacy_origin_app_id": 4
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
type* | string
()
NEW_SALECROSS_SELLMIGRATIONADD_SUBSCRIPTION | Type of commercial process used to validate against catalogue. These values are standardized in this API and will be mapped to the specific catalogue values. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
catalogue_bundled_product_id* | string | Bundled product id according to catalogue definition | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
customers_account_id* | string (uuid) | Unique identifier of the account | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
dealers_dealer_id* | string | Unique identifier of the dealer according to dealers system | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
risk_evaluation_data* | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
financial_evaluation_data | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
signature_process_id | string | ID of the resource containing subscriber valid signature to purchase subscription | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
legacy_sell_id | string | Legacy field to relate bundle to external sale operation | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
payment_data | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
subscriptions* | object | Set of subscriptions to include on bundle grouped by type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
contract_delivery_channel | string
()
APPLICATIONPAPEREMAILUNKNOWN | Delivery channel used to send the contract. Default value is UNKNOWN | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
legacy_origin_app_id | integer | Application ID according to MySim. Required if not Orange TV Libre sale | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
OK Bundle and subscriptions created and sale started successfully
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"legacy_id": "242940268",
"customers_account_id": "ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39",
"status": "COMPLETED",
"type": "BUNDLE_SALE",
"dealers_dealer_id": "1234",
"creation_date": "2024-01-15T10:30:00Z",
"creation_user": "john.doe@example.com",
"creation_system": "SALES_API",
"last_updated_date": "2024-01-15T10:35:00Z",
"contract_id": "ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39",
"legacy_fraud_request_id": "FRD_18395",
"legacy_work_order_id": "WO_2024_5678",
"status_detail": "FRAUD_CHECK_REJECTION",
"subscriptions": [
{
"subscription_type": "NETFLIX",
"catalogue_commercial_product_id": "8139_BUNDLED_3P",
"devices": [
{
"catalogue_commercial_device_id": null
}
],
"add_ons": [
{
"catalogue_value_added_service_id": null
}
],
"free_units_packages": [
{
"catalogue_free_units_package_id": null
}
]
}
],
"subscriptions_bundle_id": "string",
"catalogue_bundled_product_id": 8432
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | string (uuid) | Commercial transaction unique identifier | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
legacy_id | string | Legacy identifier for backward compatibility | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
customers_account_id* | string | Account unique identifier | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
status* | string
()
IN_PROGRESSCOMPLETEDCANCELLED | Current status of the commercial transaction | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
type* | string
()
BUNDLE_SALEBUNDLE_MIGRATIONBUNDLE_MODIFICATIONADDRESS_CHANGETECHNOLOGY_CHANGE | Type of commercial transaction | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
dealers_dealer_id* | string | Unique identifier of the dealer according to dealers system. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
creation_date* | string (date-time) | Date and time when the transaction was created. Format according to ISO 8601 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
creation_user* | string | User who created the transaction | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
creation_system* | string | System that created the transaction | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
last_updated_date* | string (date-time) | Date and time of the last update. Format according to ISO 8601 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
contract_id | string (uuid) | Contract document identifier | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
legacy_fraud_request_id | string | Legacy fraud request identifier according to MySim | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
legacy_work_order_id | string | Legacy work order identifier according to MySim | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
status_detail | string | Additional detail about the commercial transaction status | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
subscriptions | object[] | Subscriptions added in the commercial transaction | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
subscriptions_bundle_id* | string (uuid) | Created bundle's unique identifier | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
catalogue_bundled_product_id* | string | Created bundle's catalogue bundled product ID according to catalogue definition | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"code": "INVALID_REQUEST",
"message": "The request is invalid",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Forbidden Forbidden access
{
"code": "FORBIDDEN_ORGANIZATION",
"message": "Access to organization not allowed",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Internal Server Error Internal server error
{
"code": "DATABASE_ACCESS_ERROR",
"message": "Internal server error",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Any client or server error
{
"code": "ERROR_CODE",
"message": "Error message",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
curl -X POST 'https://subscriptions.masstack.com/v3/orgs/yoigo/sales/commercial_transactions/bundles' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"type": "NEW_SALE",
"catalogue_bundled_product_id": 8432,
"customers_account_id": "ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39",
"dealers_dealer_id": "1234",
"risk_evaluation_data": {
"pre_scoring_id": 18395,
"score_value": 71,
"upfront": 0
},
"financial_evaluation_data": {
"credit_limit": 1000,
"credit_limit_available": 1000
},
"signature_process_id": 18395,
"legacy_sell_id": 242940268,
"payment_data": {
"total_amount": 149,
"tax_amount": 10,
"first_invoice_payment": 5,
"point_of_sale_payment": 33,
"platform": "ADYEN",
"transaction_id": "PLC6640C65E45847BC",
"link": "https://test.adyen.link/PLC6640C65E45847BC",
"external_reference": "2311BDXI1880"
},
"subscriptions": {
"mobile": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"msisdn": 34611223344,
"mobile_portability_info": {
"donor_operator_id": null,
"donor_data": null,
"portability_process_initial_date": null,
"internal_portability": null,
"donor_iccid": null,
"donor_billing_type": null,
"one_time_password_id": null
},
"sim": {
"type": null,
"iccid": null
}
}
],
"broadband": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"access_id": "IUA-XXX",
"vacant_loop": true,
"territory_owner": "FIBMM01",
"access_reuse_info_allowed": true,
"legacy_service_id": "MYSIM_2331123",
"installation_address": {
"street_type": null,
"street_name": null,
"house_number": null,
"additional_info": null,
"city": null,
"province": null,
"country": null,
"postal_code": null,
"address_code": null,
"address_additional_id": null
}
}
],
"landline": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"fixed_phone_number": "913312244",
"installation_address": {
"street_type": null,
"street_name": null,
"house_number": null,
"additional_info": null,
"city": null,
"province": null,
"country": null,
"postal_code": null,
"address_code": null,
"address_additional_id": null
},
"contact_info": {
"name": null,
"surname": null,
"identity_document": null,
"phone_number": null,
"email_address": null
},
"fixed_portability_info": {
"donor_operator_id": null,
"scheduled_portability_date": null,
"internal_portability": null,
"installation_required": null,
"donor_data": null
}
}
],
"tv": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"specific_data": {
"service_id": null,
"registration_email": null,
"technical_installation_required": null,
"contact_number": null,
"identity_document": null
}
}
],
"amazon_prime": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
],
"agile_tv": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
],
"netflix": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
],
"max": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
],
"orange_tv": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"registration_email": "john.doe@mail.com"
}
],
"disney": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
]
},
"contract_delivery_channel": "EMAIL",
"legacy_origin_app_id": 4
}' Modify an existing bundle to add, remove or modify subscriptions
PATH PARAMETERS
Organization name
Bundle unique identifier
{
"customers_account_id": "ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39",
"dealers_dealer_id": "1234",
"risk_evaluation_data": {
"pre_scoring_id": 18395,
"score_value": 71,
"upfront": 0
},
"financial_evaluation_data": {
"credit_limit": 1000,
"credit_limit_available": 1000
},
"signature_process_id": 18395,
"legacy_sell_id": 242940268,
"payment_data": {
"total_amount": 149,
"tax_amount": 10,
"first_invoice_payment": 5,
"point_of_sale_payment": 33,
"platform": "ADYEN",
"transaction_id": "PLC6640C65E45847BC",
"link": "https://test.adyen.link/PLC6640C65E45847BC",
"external_reference": "2311BDXI1880"
},
"add_subscriptions": {
"mobile": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"msisdn": 34611223344,
"mobile_portability_info": {
"donor_operator_id": null,
"donor_data": null,
"portability_process_initial_date": null,
"internal_portability": null,
"donor_iccid": null,
"donor_billing_type": null,
"one_time_password_id": null
},
"sim": {
"type": null,
"iccid": null
}
}
],
"broadband": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"access_id": "IUA-XXX",
"vacant_loop": true,
"territory_owner": "FIBMM01",
"access_reuse_info_allowed": true,
"legacy_service_id": "MYSIM_2331123",
"installation_address": {
"street_type": null,
"street_name": null,
"house_number": null,
"additional_info": null,
"city": null,
"province": null,
"country": null,
"postal_code": null,
"address_code": null,
"address_additional_id": null
}
}
],
"landline": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"fixed_phone_number": "913312244",
"installation_address": {
"street_type": null,
"street_name": null,
"house_number": null,
"additional_info": null,
"city": null,
"province": null,
"country": null,
"postal_code": null,
"address_code": null,
"address_additional_id": null
},
"contact_info": {
"name": null,
"surname": null,
"identity_document": null,
"phone_number": null,
"email_address": null
},
"fixed_portability_info": {
"donor_operator_id": null,
"scheduled_portability_date": null,
"internal_portability": null,
"installation_required": null,
"donor_data": null
}
}
],
"tv": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"specific_data": {
"service_id": null,
"registration_email": null,
"technical_installation_required": null,
"contact_number": null,
"identity_document": null
}
}
],
"amazon_prime": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
],
"agile_tv": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
],
"netflix": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
],
"max": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
],
"orange_tv": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"registration_email": "john.doe@mail.com"
}
],
"disney": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
]
},
"remove_subscriptions": [
"string"
],
"contract_delivery_channel": "EMAIL",
"legacy_origin_app_id": 4
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
customers_account_id* | string (uuid) | Unique identifier of the account | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
dealers_dealer_id* | string | Unique identifier of the dealer | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
risk_evaluation_data | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
financial_evaluation_data | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
signature_process_id | string | ID of the resource containing subscriber valid signature to purchase subscription | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
legacy_sell_id | string | Legacy field to relate bundle to external sale operation | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
payment_data | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
add_subscriptions | object | List of subscriptions to add to the bundle. Currently only OTT subscriptions can be added using this endpoint | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
remove_subscriptions | string (uuid)[] | List of subscription IDs to remove from the bundle. Currently only OTT subscriptions can be removed using this endpoint | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
contract_delivery_channel | string
()
APPLICATIONPAPEREMAILUNKNOWN | Delivery channel used to send the contract. Default value is UNKNOWN | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
legacy_origin_app_id | integer | Application ID according to MySim. Required if not Orange TV Libre sale | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
OK Bundle modification requested successfully
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"legacy_id": "242940268",
"customers_account_id": "ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39",
"status": "COMPLETED",
"type": "BUNDLE_SALE",
"dealers_dealer_id": "1234",
"creation_date": "2024-01-15T10:30:00Z",
"creation_user": "john.doe@example.com",
"creation_system": "SALES_API",
"last_updated_date": "2024-01-15T10:35:00Z",
"contract_id": "ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39",
"legacy_fraud_request_id": "FRD_18395",
"legacy_work_order_id": "WO_2024_5678",
"status_detail": "FRAUD_CHECK_REJECTION",
"subscriptions_bundle_id": "string",
"subscriptions_added": [
{
"subscription_type": "NETFLIX",
"catalogue_commercial_product_id": "8139_BUNDLED_3P",
"devices": [
{
"catalogue_commercial_device_id": null
}
],
"add_ons": [
{
"catalogue_value_added_service_id": null
}
],
"free_units_packages": [
{
"catalogue_free_units_package_id": null
}
]
}
],
"subscriptions_removed": [
"string"
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | string (uuid) | Commercial transaction unique identifier | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
legacy_id | string | Legacy identifier for backward compatibility | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
customers_account_id* | string | Account unique identifier | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
status* | string
()
IN_PROGRESSCOMPLETEDCANCELLED | Current status of the commercial transaction | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
type* | string
()
BUNDLE_SALEBUNDLE_MIGRATIONBUNDLE_MODIFICATIONADDRESS_CHANGETECHNOLOGY_CHANGE | Type of commercial transaction | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
dealers_dealer_id* | string | Unique identifier of the dealer according to dealers system. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
creation_date* | string (date-time) | Date and time when the transaction was created. Format according to ISO 8601 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
creation_user* | string | User who created the transaction | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
creation_system* | string | System that created the transaction | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
last_updated_date* | string (date-time) | Date and time of the last update. Format according to ISO 8601 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
contract_id | string (uuid) | Contract document identifier | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
legacy_fraud_request_id | string | Legacy fraud request identifier according to MySim | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
legacy_work_order_id | string | Legacy work order identifier according to MySim | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
status_detail | string | Additional detail about the commercial transaction status | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
subscriptions_bundle_id | string (uuid) | Origin bundle's unique identifier | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
subscriptions_added | object[] | Subscriptions added in the commercial transaction | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
subscriptions_removed | string (uuid)[] | List of subscription IDs removed in the commercial transaction | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"code": "INVALID_REQUEST",
"message": "The request is invalid",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Forbidden Forbidden access
{
"code": "FORBIDDEN_ORGANIZATION",
"message": "Access to organization not allowed",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Internal Server Error Internal server error
{
"code": "DATABASE_ACCESS_ERROR",
"message": "Internal server error",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
Any client or server error
{
"code": "ERROR_CODE",
"message": "Error message",
"reference": "https://developers.masstack.com/en/guides/subscriptions/errorcatalogue"
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
error* | object | ||||||||
| |||||||||
curl -X POST 'https://subscriptions.masstack.com/v3/orgs/yoigo/sales/commercial_transactions/bundles/ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39/modify' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"customers_account_id": "ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39",
"dealers_dealer_id": "1234",
"risk_evaluation_data": {
"pre_scoring_id": 18395,
"score_value": 71,
"upfront": 0
},
"financial_evaluation_data": {
"credit_limit": 1000,
"credit_limit_available": 1000
},
"signature_process_id": 18395,
"legacy_sell_id": 242940268,
"payment_data": {
"total_amount": 149,
"tax_amount": 10,
"first_invoice_payment": 5,
"point_of_sale_payment": 33,
"platform": "ADYEN",
"transaction_id": "PLC6640C65E45847BC",
"link": "https://test.adyen.link/PLC6640C65E45847BC",
"external_reference": "2311BDXI1880"
},
"add_subscriptions": {
"mobile": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"msisdn": 34611223344,
"mobile_portability_info": {
"donor_operator_id": null,
"donor_data": null,
"portability_process_initial_date": null,
"internal_portability": null,
"donor_iccid": null,
"donor_billing_type": null,
"one_time_password_id": null
},
"sim": {
"type": null,
"iccid": null
}
}
],
"broadband": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"access_id": "IUA-XXX",
"vacant_loop": true,
"territory_owner": "FIBMM01",
"access_reuse_info_allowed": true,
"legacy_service_id": "MYSIM_2331123",
"installation_address": {
"street_type": null,
"street_name": null,
"house_number": null,
"additional_info": null,
"city": null,
"province": null,
"country": null,
"postal_code": null,
"address_code": null,
"address_additional_id": null
}
}
],
"landline": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"fixed_phone_number": "913312244",
"installation_address": {
"street_type": null,
"street_name": null,
"house_number": null,
"additional_info": null,
"city": null,
"province": null,
"country": null,
"postal_code": null,
"address_code": null,
"address_additional_id": null
},
"contact_info": {
"name": null,
"surname": null,
"identity_document": null,
"phone_number": null,
"email_address": null
},
"fixed_portability_info": {
"donor_operator_id": null,
"scheduled_portability_date": null,
"internal_portability": null,
"installation_required": null,
"donor_data": null
}
}
],
"tv": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"specific_data": {
"service_id": null,
"registration_email": null,
"technical_installation_required": null,
"contact_number": null,
"identity_document": null
}
}
],
"amazon_prime": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
],
"agile_tv": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
],
"netflix": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
],
"max": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
],
"orange_tv": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"registration_email": "john.doe@mail.com"
}
],
"disney": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
]
},
"remove_subscriptions": [
"string"
],
"contract_delivery_channel": "EMAIL",
"legacy_origin_app_id": 4
}' Migrates an existing bundle. This also supports adding, removing or modifying subscriptions
PATH PARAMETERS
Organization name
Bundle unique identifier
{
"catalogue_bundled_product_id": 8432,
"dealers_dealer_id": "1234",
"risk_evaluation_data": {
"pre_scoring_id": 18395,
"score_value": 71,
"upfront": 0
},
"financial_evaluation_data": {
"credit_limit": 1000,
"credit_limit_available": 1000
},
"signature_process_id": 18395,
"legacy_sell_id": 242940268,
"payment_data": {
"total_amount": 149,
"tax_amount": 10,
"first_invoice_payment": 5,
"point_of_sale_payment": 33,
"platform": "ADYEN",
"transaction_id": "PLC6640C65E45847BC",
"link": "https://test.adyen.link/PLC6640C65E45847BC",
"external_reference": "2311BDXI1880"
},
"add_subscriptions": {
"mobile": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"msisdn": 34611223344,
"mobile_portability_info": {
"donor_operator_id": null,
"donor_data": null,
"portability_process_initial_date": null,
"internal_portability": null,
"donor_iccid": null,
"donor_billing_type": null,
"one_time_password_id": null
},
"sim": {
"type": null,
"iccid": null
}
}
],
"broadband": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"access_id": "IUA-XXX",
"vacant_loop": true,
"territory_owner": "FIBMM01",
"access_reuse_info_allowed": true,
"legacy_service_id": "MYSIM_2331123",
"installation_address": {
"street_type": null,
"street_name": null,
"house_number": null,
"additional_info": null,
"city": null,
"province": null,
"country": null,
"postal_code": null,
"address_code": null,
"address_additional_id": null
}
}
],
"landline": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"fixed_phone_number": "913312244",
"installation_address": {
"street_type": null,
"street_name": null,
"house_number": null,
"additional_info": null,
"city": null,
"province": null,
"country": null,
"postal_code": null,
"address_code": null,
"address_additional_id": null
},
"contact_info": {
"name": null,
"surname": null,
"identity_document": null,
"phone_number": null,
"email_address": null
},
"fixed_portability_info": {
"donor_operator_id": null,
"scheduled_portability_date": null,
"internal_portability": null,
"installation_required": null,
"donor_data": null
}
}
],
"tv": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"specific_data": {
"service_id": null,
"registration_email": null,
"technical_installation_required": null,
"contact_number": null,
"identity_document": null
}
}
],
"amazon_prime": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
],
"agile_tv": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
],
"netflix": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
],
"max": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
],
"orange_tv": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
},
"registration_email": "john.doe@mail.com"
}
],
"disney": [
{
"catalogue_bundled_commercial_product_id": "8432_BUNDLED_3P",
"mandatory": true,
"promotions": [
null
],
"add_ons": [
null
],
"free_units_packages": [
null
],
"devices_related_info": {
"devices": null,
"pre_booking": null,
"delivery_info": null
}
}
]
},
"remove_subscriptions": [
"string"
],
"modify_subscriptions": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"devices_related_info": {
"devices": [
null
],
"pre_booking": {
"order_id": null,
"authorization_id": null,
"financial_entity": null,
"agreed_commercial_consents": null,
"agreed_gdpr": null,
"status": null,
"granted_amount": null,
"credit_line_amount": null
},
"delivery_info": {
"contact_info": null,
"address": null,
"delivery_type": null,
"dealer_code": null
}
}
}
],
"contract_delivery_channel": "EMAIL",
"legacy_origin_app_id": 4
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---
[...]
